"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabasesPlaceholder = void 0;
const compass_components_1 = require("@mongodb-js/compass-components");
const react_1 = __importStar(require("react"));
const placeholder_item_1 = require("./placeholder-item");
const placeholderList = (0, compass_components_1.css)({
    maskImage: 'linear-gradient(to bottom, black 30%, transparent 95%)',
});
const DatabasesPlaceholder = () => {
    const items = (0, react_1.useMemo)(() => {
        return Array.from({ length: 10 }, (_, idx) => (react_1.default.createElement(placeholder_item_1.PlaceholderItem, { key: idx, type: "database" })));
    }, []);
    return react_1.default.createElement("div", { className: placeholderList }, items);
};
exports.DatabasesPlaceholder = DatabasesPlaceholder;
//# sourceMappingURL=databases-placeholder.js.map